<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
    <link rel="stylesheet" href="./style.css">
    <title>Document</title>
</head>
<body>
    <div class="container">
        <h1 class="pt-4">Data Member</h1>
        <a href="/add-member" class="btn btn-add mt-2">Add member</a>
        <table class="table mt-4">
            <thead>
              <tr>
                <th scope="col">Id</th>
                <th scope="col">User Name</th>
                <th scope="col">Address</th>
                <th scope="col">Phone</th>
                <th scope="col">Action</th>
              </tr>
            </thead>
            <tbody>
                <% for (index in members) { %>
                    <tr>
                        <th scope="row"><%= (Number(index) + 1) %></th>
                        <td><%= members[index].userName %></td>
                        <td><%= members[index].address %></td>
                        <td><%= members[index].phone %></td>
                        <td>
                            <form  method="POST" action="/delete-member">                       
                            <a class="btn-edit" href="/edit-member/<%= members[index].id %>">Edit</a>
                              <input type="hidden" name="_method" value="DELETE" />
                              <input type="hidden" name="id" value="<%= members[index].id %>" />
                              <button class="btn-delete" type="submit">Delete</button>
                            </form>
                          </td>                      
                    </tr>          
              <% } %>
            </tbody>
          </table>
          <a href="/dashboard" class="btn btn-add mt-2">Back to Dashboard</a>
    </div>  
</body>
</html>